
sample_normal <- function(theta)
{
  data <- rnorm(1, mean=theta, sd=1)
  return(data)
}

## Standrard normal increasing, endpoint 0.6447171
sample_normal_increasing <- function(theta)
{
  data <- rnorm(1, mean=theta, sd=abs(1+theta)/5)
  return (data)
}

sample_exponential <- function(theta)
{
  data <- rexp(1, rate = theta)
  return(1/data)
}

sample_logistic <- function(theta)
{
  data <- rlogis(1, location=theta, scale=1)
  return(data)
}

sample_cauchy <- function(theta)
{
  data <- rcauchy(1, location = theta)
  return(data)
}

sample_gamma_10 <- function(theta)
{
  data <- rgamma(1, shape = 10, scale = theta)
  return(data/10)
}


sample_gamma_5 <- function(theta)
{
  data <- rgamma(1, shape = 5, scale = theta)
  return(data/5)
}

sample_norm_variance <- function(theta)
{
  data <- rnorm(10, sd=theta)
  return(sd(data))
}

sample_binom <- function(theta)
{
  data <- rbinom(1,50,theta)/50
  return (data)
}

sample_norm_quad <- function(theta)
{
  data <- rnorm(1, mean=theta, sd=theta*(5-theta)/8)
  return(data)
}

sample_normal_decreasing <- function(theta)
{
  data <- rnorm(1, mean=theta, sd=(5-theta)/5)
  return(data)
}

